<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__system__config__cm4__status__macro" kind="group">
    <compoundname>group_system_config_cm4_status_macro</compoundname>
    <title>Cortex-M4 Status</title>
      <sectiondef kind="define">
      <memberdef id="group__group__system__config__cm4__status__macro_1ga452415e9cacf903c50a542a40b5f8761" kind="define" prot="public" static="no">
        <name>CY_SYS_CM4_STATUS_ENABLED</name>
        <initializer>(3U)</initializer>
        <briefdescription>
<para>The Cortex-M4 core is enabled: power on, clock on, no isolate, no reset and no retain. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/system_psoc6.h" bodystart="606" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/system_psoc6.h" line="606" />
      </memberdef>
      <memberdef id="group__group__system__config__cm4__status__macro_1gaf3dfb966f2882771788c7f56529e489f" kind="define" prot="public" static="no">
        <name>CY_SYS_CM4_STATUS_DISABLED</name>
        <initializer>(0U)</initializer>
        <briefdescription>
<para>The Cortex-M4 core is disabled: power off, clock off, isolate, reset and no retain. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/system_psoc6.h" bodystart="607" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/system_psoc6.h" line="607" />
      </memberdef>
      <memberdef id="group__group__system__config__cm4__status__macro_1gad944d01aaab837a2a7e0d2e812ce7265" kind="define" prot="public" static="no">
        <name>CY_SYS_CM4_STATUS_RETAINED</name>
        <initializer>(2U)</initializer>
        <briefdescription>
<para>The Cortex-M4 core is retained. </para>        </briefdescription>
        <detaileddescription>
<para>power off, clock off, isolate, no reset and retain. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/system_psoc6.h" bodystart="608" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/system_psoc6.h" line="608" />
      </memberdef>
      <memberdef id="group__group__system__config__cm4__status__macro_1gabda7bd2089b83778f6182d0f0f9f38c1" kind="define" prot="public" static="no">
        <name>CY_SYS_CM4_STATUS_RESET</name>
        <initializer>(1U)</initializer>
        <briefdescription>
<para>The Cortex-M4 core is in the Reset mode: clock off, no isolated, no retain and reset. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/system_psoc6.h" bodystart="609" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/devices/templates/COMPONENT_MTB/system_psoc6.h" line="609" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>